This test may be used to do load tests for servlet+ejb
Structure:
	- beans: sample bean session stateless with method void process(long timetowait)
	- client: client code
	- servlet: servlet SampleServlet code



For building and packaging the application --> ant install

With the default configuration of jonas.properties JOnAS and Tomcat are running in the same JVM

Running the server
jonas start
jonas admin -a samplehttp.ear

In order to test the web application is well deployed after having running JOnAS:
http://<HOST>:<PORT>/samplehttp/SampleServlet


Running a scenario:
Usage: jclient -cp <samplehttp-dir>/samplehttp/classes  samplehttp.client.SampleClient <args>
with:
	-h  <host>      	hostname
	-p <port>       	port number
	-n <thread>     	number of client threads
	-t <treatmenttime>     	treatment time in servlet or in EJB's method
	-w <timetowait>     	time to wait in thread client between 2 requests
	-l <nbloops>     	nb loops in each thread client
	-ejb			call ejb in servlet (mode pure servlet if not set)
	-ejbl	 		call ejb in servlet via local interface.
Examples:
jclient -cp  $PROJ_BASE/objectweb/jonas_tests/samplehttp/classes samplehttp.client.SampleClient -h localhost -p 19510 -n 50 -t 10 -l 100 -w 1000 -ejb

jclient -cp  $PROJ_BASE/objectweb/jonas_tests/samplehttp/classes samplehttp.client.SampleClient -h localhost -p 19510 -n 5 -t 10 -l 10 -w 1000 -ejbc


